###############################################################
# AtlfastDoNotTouch
# To be changed by experts only
###############################################################
Atlfast.members = [
#    Common Data:
        "Atlfast::CommonDataMaker/CommonDataMaker",
# 
#    Make calorimeter cell map for the event:
        "Atlfast::CellMaker/CellMaker", 
#
#    Make clusters based on  cells
        "Atlfast::ClusterMaker/ClusterMaker",
#
#    Make Tracks:
        "Atlfast::TrackMaker/TrackMaker", 
#
#    Make electrons 
        "Atlfast::DefaultReconstructedParticleMaker/ElectronMaker",
#
#    Make photons
        "Atlfast::DefaultReconstructedParticleMaker/PhotonMaker",
#
#    Make muons 
	"Atlfast::DefaultReconstructedParticleMaker/MuonMaker",
#
#    Find Associations between eor gamma and clusters 
#	"Atlfast::Associator/Associator",
#
#    Sort the electrons into isolated and non-isolated
	"Atlfast::Isolator/ElectronIsolator",
#
#    Sort the photons into isolated and non-isolated
        "Atlfast::Isolator/PhotonIsolator",
#
#    Sort the muons into isolated and non-isolated
        "Atlfast::Isolator/MuonIsolator",
#
#    Make Jets
        "Atlfast::JetMaker/JetMaker",
#
#    Make event header
        "Atlfast::EventHeaderMaker/EventHeaderMaker"
]
#---------------------------
# Locations not to be touched
#---------------------------
# Cell Maker 
CellMaker = Algorithm("CellMaker")
CellMaker.InputLocation		= "/Event/McEventCollection"
CellMaker.OutputLocation        = "/Event/AtlfastCells" 
CellMaker.CommonDataLocation    = "/Event/AtlfastCommonData"
#-------------
#Cluster Maker
#-------------
#Cluster Maker
ClusterMaker = Algorithm("ClusterMaker")
ClusterMaker.InputLocation      = "/Event/AtlfastCells"
ClusterMaker.OutputLocation     = "/Event/AtlfastClusters"
ClusterMaker.UnusedCellLocation	= "/Event/AtlfastUnusedCells"
#------------
# Track Maker
#------------
TrackMaker = Algorithm("TrackMaker")
TrackMaker.MC_eventLocation  = "/Event/McEventCollection"
TrackMaker.OutputLocation    = "/Event/AtlfastTracks" 
#------------------
# Particles Makers
#------------------
# electron 
ElectronMaker = Algorithm("ElectronMaker")
ElectronMaker.OutputLocation               = "/Event/AtlfastElectrons"
ElectronMaker.CommonDataLocation           = "/Event/AtlfastCommonData"
ElectronMaker.MC_eventLocation		   = "/Event/McEventCollection"
#muon
MuonMaker = Algorithm("MuonMaker")
MuonMaker.OutputLocation                   = "/Event/AtlfastMuons"
MuonMaker.CommonDataLocation               = "/Event/AtlfastCommonData"
MuonMaker.MC_eventLocation		   = "/Event/McEventCollection"
#photon
PhotonMaker = Algorithm("PhotonMaker")
PhotonMaker.OutputLocation                 = "/Event/AtlfastPhotons"
PhotonMaker.CommonDataLocation             = "/Event/AtlfastCommonData"
PhotonMaker.MC_eventLocation		   = "/Event/McEventCollection"
#----------
# Jet Maker
#----------
JetMaker = Algorithm("JetMaker")
JetMaker.InputLocation                     = "/Event/AtlfastClusters"
JetMaker.OutputLocation                    = "/Event/AtlfastJets"
JetMaker.CommonDataLocation		   = "/Event/AtlfastCommonData"
JetMaker.MuonLocation                      = "/Event/AtlfastNonIsolatedMuons"
JetMaker.MissingMomentumLocation	   = "/Event/AtlfastMissingMomentum"
JetMaker.McTruthLocation		   = "/Event/McEventCollection"
JetMaker.UnusedCellLocation		   = "/Event/AtlfastUnusedCells"
#-------------------
# Event Header Maker 
#------------------- 
EventHeaderMaker = Algorithm("EventHeaderMaker")
EventHeaderMaker.CommonDataLocation	  = "/Event/AtlfastCommonData"
EventHeaderMaker.MissingMomentumLocation  = "/Event/AtlfastMissingMomentum"
EventHeaderMaker.ElectronLocation	  = "/Event/AtlfastIsolatedElectrons"
EventHeaderMaker.PhotonLocation		  = "/Event/AtlfastIsolatedPhotons"
EventHeaderMaker.IsolatedMuonLocation     = "/Event/AtlfastIsolatedMuons"
EventHeaderMaker.NonIsolatedMuonLocation  = "/Event/AtlfastNonIsolatedMuons"
EventHeaderMaker.JetLocation              = "/Event/AtlfastJets"
EventHeaderMaker.McTruthLocation          = "/Event/McEventCollection"
EventHeaderMaker.OutputLocation           = "/Event/AtlfastEventHeader"
#----------------- 
# CommonData Maker 
#-----------------
CommonDataMaker = Algorithm("CommonDataMaker")
CommonDataMaker.OutputLocation             = "/Event/AtlfastCommonData"
#----------
# Isolators
#----------
# electron
ElectronIsolator = Algorithm("ElectronIsolator")
ElectronIsolator.InputLocation             = "/Event/AtlfastElectrons"
ElectronIsolator.IsolatedOutputLocation    = "/Event/AtlfastIsolatedElectrons"
ElectronIsolator.NonIsolatedOutputLocation = "/Event/AtlfastNonIsolatedElectrons"
ElectronIsolator.CellLocation              = "/Event/AtlfastCells"
ElectronIsolator.Clusterlocation           = "/Event/AtlfastClusters"
ElectronIsolator.CommonDataLocation	   = "/Event/AtlfastCommonData"
#photon
PhotonIsolator = Algorithm("PhotonIsolator")
PhotonIsolator.InputLocation               = "/Event/AtlfastPhotons"
PhotonIsolator.IsolatedOutputLocation      = "/Event/AtlfastIsolatedPhotons"
PhotonIsolator.NonIsolatedOutputLocation   = "/Event/AtlfastNonIsolatedPhotons"
PhotonIsolator.CellLocation                = "/Event/AtlfastCells"
PhotonIsolator.ClusterLocation             = "/Event/AtlfastClusters"
PhotonIsolator.CommonDataLocation	   = "/Event/AtlfastCommonData"
#muon
MuonIsolator = Algorithm("MuonIsolator")
MuonIsolator.InputLocation                 = "/Event/AtlfastMuons"
MuonIsolator.IsolatedOutputLocation        = "/Event/AtlfastIsolatedMuons"
MuonIsolator.NonIsolatedOutputLocation     = "/Event/AtlfastNonIsolatedMuons"
MuonIsolator.CellLocation                  = "/Event/AtlfastCells"
MuonIsolator.ClusterLocation               = "/Event/AtlfastClusters"
MuonIsolator.RClusterMatch                 = 0.0
MuonIsolator.CommonDataLocation		   = "/Event/AtlfastCommonData"
#---------------------
# StandardNtuple Maker 
#--------------------- 
#----------
#Associator
#----------
#Associator = Algorithm("Associator")
#Associator.ElectronLocation                = "/Event/AtlfastElectrons"
#Associator.PhotonLocation                  = "/Event/AtlfastPhotons" 
#Associator.MuonLocation                    = "/Event/AtlfastMuons"   
#Associator.ClusterLocation                 = "/Event/AtlfastClusters"
#Associator.JetLocation                     = "/Event/AtlfastJets"
#Associator.AssocElectronLocation           = "/Event/AtlfastAssocElectrons"
#Associator.AssocPhotonLocation             = "/Event/AtlfastAssocPhotons"
#Associator.AssocMuonLocation               = "/Event/AtlfastAssocMuons"
#--------------------------
# End of DoNotTouch options
#-------------------------- 









