###############################################################
#
# Job options file (RENAME jobOptions.txt to use)
#
#==============================================================

#--------------------------------------------------------------
# ATLAS default Application Configuration options
#--------------------------------------------------------------

execfile( "Atlas_ZebraTDR.UnixStandardJob.py" )

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------

#load relevant libraries
theApp.Dlls = [ "AthExReadPixelData" ]

#top algorithms to be run
theApp.TopAlg = [ "ReadPixelData" ]

#--------------------------------------------------------------
# For Objy input: identify your input event collection(s). There is
# one collection per run number or data set name, e.g. Y23406.1
#--------------------------------------------------------------

# Provide a list of data set names:
#EventSelector.dataSetNames = {"Y23406.1"}
#EventSelector.dataSetNames = {"Y23406.1", "Y23406.2"}

#--------------------------------------------------------------
# For Zebra input: identify your input runs.
#--------------------------------------------------------------

# Provide a first/last range or a list
#EventSelector.runs = {1, 100000}
EventSelector.firstRun = 1
EventSelector.lastRun  = 100000

#--------------------------------------------------------------
# Set output level threshold (DEBUG, INFO, WARNING, ERROR, FATAL)
#--------------------------------------------------------------

MessageSvc.OutputLevel = INFO

#--------------------------------------------------------------
# Histogram output file
#--------------------------------------------------------------

# Choose the HBOOT or ROOT histogram persistency shared library as appropriate
theApp.Dlls = ["HbookCnv" ]
##theApp.Dlls = [ "RootHistCnv" ]
# Select HBOOK or ROOT persistency (HBOOK is default)
theApp.ExtSvc = [ "HbookCnv::PersSvc/HistogramPersistencySvc" ]
####theApp.ExtSvc = [ "RootHistCnv::PersSvc/HistogramPersistencySvc" ]
HistogramPersistencySvc = Service( "HistogramPersistencySvc" )
HistogramPersistencySvc.OutputFile  = "histo.hbook"

#--------------------------------------------------------------
# Ntuples
#--------------------------------------------------------------

NTupleSvc.Output     = [ "FILE1 DATAFILE='tuple1.hbook' OPT='NEW'" ]

#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------

# Number of events to be processed (default is 10)
theApp.EvtMax = 10

# de-activate (groups of) subdetectors
EventSelector.calos = FALSE
#EventSelector.emBarrel = FALSE
#EventSelector.emEndcap = FALSE
#EventSelector.hec = FALSE
#EventSelector.fcal = FALSE
#EventSelector.tile = FALSE
EventSelector.muons = FALSE
#EventSelector.mdt = FALSE
#EventSelector.rpc = FALSE
EventSelector.trt = FALSE
#EventSelector.clusters = FALSE
#EventSelector.sct = FALSE
#EventSelector.pixel = FALSE


#--------------------------------------------------------------
# Batch/Interactive Control (uncomment the lines for batch mode)
#--------------------------------------------------------------
####theApp.Go
####theApp.Exit

#==============================================================
#
# End of job options file
#
###############################################################

