###############################################################
#
# Sequencer example Python script
#
#==============================================================

#--------------------------------------------------------------
# ATLAS default Application Configuration options
#--------------------------------------------------------------

execfile( "Atlas_Gen.UnixStandardJob.py" )

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------

# Load relevant libraries
theApp.Dlls = [ "StoreGateExample", "AthExHelloWorld" ]
theApp.Dlls = [ "GaudiAlg", "GaudiAud", "StoreGate" ]
AuditorSvc.Auditors  = [ "NameAuditor", "ChronoAuditor" ]

# Add StoreGate to the list of external services
theApp.ExtSvc  = [ "StoreGateSvc" ]

# Create the top level algorithm (and the Python equivalent)
theApp.TopAlg = [ "Sequencer/TopSequencer" ]
TopSequencer  = Algorithm( "TopSequencer" )
TopSequencer.StopOverride = 1

# Create two paths and populate them
TopSequencer.Members  = [ "Sequencer/Path1", "Sequencer/Path2" ]
Path1 = Algorithm( "Path1" )
Path2 = Algorithm( "Path2" )

Path1.Members = [ "WriteData", "Prescaler/Prescaler1", "ReadData/ReadData1", "HelloWorld", "EventCounter/Counter1" ]
Path2.Members = [ "WriteData", "Prescaler/Prescaler2", "ReadData/ReadData2", "HelloWorld", "EventCounter/Counter2" ]
WriteData  = Algorithm( "WriteData" )
Prescaler1 = Algorithm( "Prescaler1" )
Prescaler2 = Algorithm( "Prescaler2" )
ReadData1  = Algorithm( "ReadData1" )
ReadData2  = Algorithm( "ReadData2" )
HelloWorld = Algorithm( "HelloWorld" )
Counter1   = Algorithm( "Counter1" )
Counter2   = Algorithm( "Counter2" )

# Setup the filter algorithms
Prescaler1.percentPass = 20.0
Prescaler2.percentPass = 50.0

# Setup the ReadData Algorithms
ReadData1.DataProducer = "WriteData"
ReadData2.DataProducer = "WriteData"

#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------

# Number of events to be processed (default is 10)
theApp.EvtMax = 10

#--------------------------------------------------------------
# Set output level threshold (DEBUG, INFO, WARNING, ERROR, FATAL)
#--------------------------------------------------------------

MessageSvc.OutputLevel = INFO

#--------------------------------------------------------------
# Batch/Interactive Control (uncomment the lines for batch mode)
#--------------------------------------------------------------
####theApp.Go
####theApp.Exit
