###############################################################
#
# StandardAtlfastOptions file
#
#==============================================================
execfile( "AtlfastDoNotTouch.py" )
# Standard job options for Atlfast
#
# Options for modules which are not used are ignored.
#
# Uncomment lines to add an algorithm to ATLFAST sequence:
#
Atlfast.Members += ["Atlfast::Monitor/Monitor"]
Monitor = Algorithm("Monitor")
#Atlfast.Members +=["Atlfast::TrackNtupleMaker/TrackNtupleMaker"]
#Atlfast.Members +=["Atlfast::StandardNtupleMaker/StandardNtupleMaker"]
#execfile( "StandardNtupleMaker.py" )
# Atlfast.Members +=["Atlfast::ExampleAnalysis/ExampleAnalysis"]
#--------------------------------------------------------------
# Algorithm Parameters set to Default Values 
#--------------------------------------------------------------
# Default Reconstructed Particle Maker
#-------------------------------------
# options for electron maker
ElectronMaker.ParticleType               = 11
ElectronMaker.mcMinimumPt                = 0.0
ElectronMaker.mcMaximumEta               = 100.0
ElectronMaker.MinimumPt                  = 5.0
ElectronMaker.MaximumEta                 = 2.5
ElectronMaker.DoSmearing		 = TRUE
#
# options for muon maker
#MuonMaker.ParticleType                   = 13
#MuonMaker.mcMinimumPt                    = 0.5
#MuonMaker.mcMaximumEta                   = 2.5
#MuonMaker.MinimumPt                      = 6.0
#MuonMaker.MaximumEta                     = 100.0
#MuonMaker.DoSmearing                     = TRUE
#MuonMaker.MuonSmearKey			 = 3
#
#options for photon maker
PhotonMaker.ParticleType                 = 22
PhotonMaker.mcMinimumPt                  = 0.0
PhotonMaker.mcMaximumEta                 = 100.0
PhotonMaker.MinimumPt                    = 5.0
PhotonMaker.MaximumEta                   = 2.5
PhotonMaker.DoSmearing			 = TRUE
#--------------------------------------------------------------
# Cell Maker
#-----------------------------------
CellMaker.EtaCoverage        = 5.0
CellMaker.MinETCell          = 0.0
CellMaker.GranBarrelEta      = 0.1
CellMaker.GranBarrelPhi      = 0.1
CellMaker.GranForwardEta     = 0.2
CellMaker.GranForwardPhi     = 0.2
#--------------------------------------------------------------
# Cluster Maker
#-------------------------------------  
ClusterMaker.RConeBarrel        = 0.401
ClusterMaker.RConeForward       = 0.401
ClusterMaker.minInitiatorET     = 1.5
ClusterMaker.minClusterET       = 5.0
ClusterMaker.Strategy           = "Cone"

#--------------------------------------------------------------
# Jet Maker
#-------------------------------------  
JetMaker.MinimumPT        = 10.0
JetMaker.MaximumEta       = 5.0
JetMaker.DoSmearing       = TRUE
JetMaker.RconeB           = 0.400
JetMaker.RconeF		  = 0.400
JetMaker.bPtMin		  = 5.0  
JetMaker.bMaxDeltaR       = 0.2
JetMaker.cPtMin		  = 5.0
JetMaker.cMaxDeltaR       = 0.2
JetMaker.tauPtMin         = 10.0
JetMaker.tauMaxDeltaR     = 0.3
JetMaker.etaTagMax        = 2.5
JetMaker.tauJetPtRatio    = 0.9
#--------------------------------------------------------------
# Track Maker
#------------------------------------- 
TrackMaker.McPtMinimum	     = 0.5
TrackMaker.McEtaMaximum      = 2.5
TrackMaker.vtMaximum         = 3.0
TrackMaker.vlMaximum         = 40.0
TrackMaker.DoSmearing	      = TRUE
TrackMaker.BField	      = 2.0
#--------------------------------------------------------------
# Event Header Maker 
#------------------------------------- 
EventHeaderMaker.BeamEnergy               = 7000.0
EventHeaderMaker.RunNumber		  = 1000
EventHeaderMaker.EventNumber		  = 0
EventHeaderMaker.TestMode		  = 0
#-------------------------------------- 
# CommonData Maker 
#------------------------------------- 
#Luminosity option: 1=low, 2-high
CommonDataMaker.Luminosity		= 2
CommonDataMaker.Invisibles		= [12,14,16] 
CommonDataMaker.RandomSeed		= 12345
CommonDataMaker.BFieldOn		= TRUE
CommonDataMaker.BarrelForwardEta	= 3.2
#
#--------------------------------------------------------------
# Algorithms Options
#--------------------------------------------------------------
#options for cell maker
#CellMaker.OutputLevel                  = DEBUG
#
#options for cluster maker
#CluserMaker.OutputLevel               = DEBUG

#options for track maker
#TrackMaker.OutputLevel                 = DEBUG

#options for electron isolator
#ElectronIsolator.OutputLevel           = DEBUG

#options for photon isolator
#PhotonIsolator.OutputLevel             = DEBUG

#options for muon isolator
#MuonIsolator.OutputLevel               = DEBUG
EventHeaderMaker.OutputLevel               = DEBUG
#==============================================================
#
# End of job options file
#
###############################################################


  









