###############################################################
#
# Job options file
#
#==============================================================

#--------------------------------------------------------------
# ATLAS default Application Configuration options
#--------------------------------------------------------------

execfile( "Atlas_ZebraTDR.UnixStandardJob.py" )

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------
#load relevant libraries
theApp.Dlls = [ "AthExSubAlg" ]

#top algorithms to be run
theApp.TopAlg = [ "MainAlg" ]

#--------------------------------------------------------------
# For Objy input: identify your input event collection(s). There is
# one collection per run number or data set name, e.g. Y23406.1
#--------------------------------------------------------------

# Provide a list of data set names:
#EventSelector.dataSetNames = {"Y23406.1"}
#EventSelector.dataSetNames = {"Y23406.1", "Y23406.2"}

#--------------------------------------------------------------
# For Zebra input: identify your input runs.
#--------------------------------------------------------------

# Provide a first/last range or a list
#EventSelector.runs = {1, 100000}
EventSelector.firstRun = 1
EventSelector.lastRun  = 100000

#--------------------------------------------------------------
# Set output level threshold (DEBUG, INFO, WARNING, ERROR, FATAL)
#--------------------------------------------------------------

MessageSvc.OutputLevel = INFO

#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------

# Number of events to be processed (default is 10)
theApp.EvtMax = 10

#--------------------------------------------------------------
# Algorithms Private Options
#--------------------------------------------------------------

# For the MainAlg / SubAlg algorithms
MainAlg.SubAlgType = "SubAlg"
MainAlg.SubAlgPropName = "SubString"
MainAlg.SubAlgName = [ "SubAlgInst_1", "SubAlgInst_2", "SubAlgInst_3" ]
MainAlg.SubAlgPropVal = [ "new string 1", "new string 2", "new string 3" ]

#SubAlgInst_1.SubString = "original string 1"
#SubAlgInst_2.SubString = "original string 2"
#SubAlgInst_3.SubString = "original string 3"

#--------------------------------------------------------------
# Batch/Interactive Control (uncomment the lines for batch mode)
#--------------------------------------------------------------
####theApp.Go
####theApp.Exit

#==============================================================
#
# End of job options file
#
###############################################################

