#!/bin/sh

set echo

atlasdata=/afs/cern.ch/atlas/offline/data

stagein -v Y23406 -q 1 Zbbar
#stagein -v Y01345 -q 6  Zmu20

if test -h ZEBRA.P; then
  rm -f ZEBRA.P
fi

# Set soft link for input
#  ln -sf ${atlasdata}/Ze20 ZEBRA.P
#  ln -sf ${atlasdata}/Ze10-1.6 ZEBRA.P
#  ln -sf ${atlasdata}/Zmu20 ZEBRA.P
#  ln -sf ${atlasdata}/Zbbar ZEBRA.P
#  ln -sf mu100_9802 ZEBRA.P
#  ln -sf Zjets ZEBRA.P
#  ln -s Zmu20 ZEBRA.P
  ln -sf Zbbar ZEBRA.P

# Get magnetic field file
ln -sf ${atlasdata}/bmagatlas01.data fieldmap.dat

# Get amdb
# version K:  ln -s /afs/cern.ch/atlas/offline/data/amdb_simrec.data amdb_simrec.data
# version M:
ln -sf ${atlasdata}/amdb_simrec.m2.1 amdb_simrec.data
# m2.8: ln -sf /afs/cern.ch/atlas/offline/data/amdb_simrec.m2.8 amdb_simrec.data

# Set soft link for particle properties table
ln -sf /afs/cern.ch/lhcb/software/LHCbCMT/dbase/v227/cdf/particle.cdf .

#Set soft links to LAr det descr files
if [ "$LARDETDESCRROOT" != "" ]; then
    ln -sf $LARDETDESCRROOT/data/FCal*-tubes.dat .
else
    echo "LAr detector description files not setup"
    echo "Add a dependency on LArCalorimeter/LArDetDescr if you need them"
fi

