###############################################################
#
# Job options file
#
#==============================================================
#
# This job options file runs Atlfast in the Athena framework
execfile( "Atlas_Gen.UnixStandardJob.py" )
execfile( "StoreGate_jobOptions.py")
#* load relevant libraries
theApp.Dlls = [ "GaudiAlg", "GeneratorModules", "AtlfastCode"  , "GaudiAud" , "HbookCnv" ]
AuditorSvc.Auditors  = [ "ChronoAuditor" ]
#--------------------------------------------------------------
# Persistency services
#--------------------------------------------------------------
# you shouldn't need to change this
EventPersistencySvc.CnvServices     = [ "McCnvSvc" ]  

# HBOOK OUTPUT:
# This is the name of the file where your histograms will be created.
#
theApp.ExtSvc = [ "HbookCnv::PersSvc/HistogramPersistencySvc" ]
HistogramPersistencySvc = Service( "HistogramPersistencySvc" )
HistogramPersistencySvc.OutputFile  = "atlfast.hbook"
NTupleSvc.Output = ["FILE1 DATAFILE='atlfast.ntup' OPT='NEW'"]
#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------
# Number of events to be processed (default is 10)
theApp.EvtMax = 5

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------

# OUTPUT PRINTOUT LEVEL
# Set output level threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
# you can override this for individual modules if necessary
MessageSvc.OutputLevel               = INFO

# Execution of algorithms given in sequencer
#
theApp.TopAlg = ["Sequencer/TopSequencer"]
TopSequencer = Algorithm("TopSequencer")
TopSequencer.Members = ["Sequencer/Generator","Sequencer/Atlfast"]
Generator = Algorithm( "Generator" )
Generator.Members = [ "PythiaModule" ]
Atlfast = Algorithm( "Atlfast")

# The Atlfast Sequence is set up in the #included StandardAtlfastOptions.txt 
# file...
execfile( "StandardAtlfastOptions.py" )
#==============================================================
#
# End of job options file
#
###############################################################







































