//##############################################################
//
// Python script
//
//==============================================================

#--------------------------------------------------------------
# ATLAS default Application Configuration options
#--------------------------------------------------------------

execfile( "$ATHENACOMMONROOT/share/Atlas_TDR.UnixStandardJob.py" )

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------

# Load relevant libraries
theApp.Dlls   = [ "LArConditionsExample", "LArConditions" ]
# Add StoreGate to the list of external services
theApp.ExtSvc = [ "LArConditionsSvc" ]

# Top algorithms to be run
theApp.TopAlg = [ "LArConditionsExample", "LArConditions" ]
LArReadData = Algorithm( "LArReadData" )

#--------------------------------------------------------------
# Set output level threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
#--------------------------------------------------------------

MessageSvc.OutputLevel      = DEBUG

#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------

# Number of events to be processed (default is 10)
theApp.EvtMax = 1

#--------------------------------------------------------------
# Algorithms Private Options
#--------------------------------------------------------------

LArConditionsSvc.Hostname = "atlassw1.phy.bnl.gov";
LArConditionsSvc.Username = "anyuser";
LArConditionsSvc.Password = "";
LArConditionsSvc.OFC_config = {"OF4_01_HIGH", "OF4_01_MED", "OF4_02_MED"};
LArConditionsSvc.PDS_config = {"pedestal_208685_HIGH_ped", "pedestal_208685_MED_ped", "pedestal_210333_LOW_ped"};
LArConditionsSvc.RMS_config = {"pedestal_208685_HIGH_rms", "pedestal_208685_MED_rms","pedestal_210333_LOW_rms"};
LArConditionsSvc.RAMP_config = {"ramp_212326_HIGH"};

#--------------------------------------------------------------
# Batch/Interactive Control (uncomment the lines for batch mode)
#--------------------------------------------------------------
####theApp.Go
####theApp.Exit

#==============================================================
#
# End of Python script
#
###############################################################







